trafficserver-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bner...@apache.org
Subject [trafficserver] branch master updated: docs: only use -W for supported branches. (#8071)
Date Fri, 16 Jul 2021 21:35:49 GMT
This is an automated email from the ASF dual-hosted git repository.

bneradt pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/trafficserver.git


The following commit(s) were added to refs/heads/master by this push:
     new c4b7eaa  docs: only use -W for supported branches. (#8071)
c4b7eaa is described below

commit c4b7eaac6ec3e98702b205895f914f2dcec76369
Author: Brian Neradt <brian.neradt@gmail.com>
AuthorDate: Fri Jul 16 17:34:07 2021 -0400

    docs: only use -W for supported branches. (#8071)
    
    I noticed the latest 9.0.x and 9.1.x CI doc builds failed because they
    do not support -W. This changes out jenkins script so that it does not
    run with the -W flag unless our change to support that option is in the
    branch under build.
---
 ci/jenkins/bin/docs.sh | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

diff --git a/ci/jenkins/bin/docs.sh b/ci/jenkins/bin/docs.sh
index 6295239..b2fe3c3 100755
--- a/ci/jenkins/bin/docs.sh
+++ b/ci/jenkins/bin/docs.sh
@@ -36,9 +36,19 @@ autoreconf -fi && ./configure --enable-docs || exit 1
 
 cd doc
 
-echo "Building English version with warnings treated as errors"
+W_OPTION=""
+if grep ALLSPHINXOPTS Makefile.am | grep -q -- -W
+then
+  # We use the presence of -W in ALLSPHINXOPTS as a marker that we can treat
+  # warnings as errors.
+  echo "Building English version with warnings treated as errors"
+  W_OPTION="-W"
+else
+  echo "Building English version"
+fi
+make clean || true
 rm -rf docbuild/html
-${ATS_MAKE} -e SPHINXOPTS="-W -D language='en'" html
+${ATS_MAKE} -e SPHINXOPTS="${W_OPTION} -D language='en'" html
 [ $? != 0 ] && exit 1
 
 # Only continue with the rsync and JA build if we're on the official docs updates

Mime
View raw message